Skip to main content
GET
Query Scx Category Attribute Seller Values

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

scxoffers.read
oauth2-authorization-code

Grants permission to read SCX offer data, such as channel attributes.

scxoffers.read
oauth2-client-credentials

Grants permission to read SCX offer data, such as channel attributes.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesChannelId
string
required

Sales channel id of the SCX seller/account. Opaque, tenant-local composite identifier (not a UUID); use the id returned by "GET /v2/sales-channels".

channelCategoryId
string<uuid>
required

ID of the channel category. Represents a key for a SCX category, used for identity and serialization.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>